import request from '@/utils/request'

// process.env.VUE_APP_BASIC_API
const BASE_API = process.env.VUE_APP_BASIC_API

// 单车认证进度查询
export function carAuthList1(data) {
  return request({
    url: `${BASE_API}search/carProgress`,
    data
  })
}

// 车辆认证进度查询
export function carAuthList2(data) {
  return request({
    url: `${BASE_API}search/checkProgress`,
    data
  })
}

/**
 * 审核看板查询
 * @yapi http://yapi.cusc.com:3000/project/28/interface/api/9872
 */
export function queryCheckStatistics(data) {
  return request({
    url: `${BASE_API}search/queryCheckStatistics`,
    data
  })
}

/**
 * 日志分类查询
 * @yapi http://yapi.cusc.com:3000/project/28/interface/api/16652
 */
export function fetchLogCategory(data) {
  return request({
    url: `${BASE_API}log/category`,
    data,
    method: 'GET'
  })
}

/**
 * 日志列表
 * @yapi http://yapi.cusc.com:3000/project/28/interface/api/16656
 */
export function fetchLogList(data) {
  return request({
    url: `${BASE_API}log/list`,
    data
  })
}
